# Jaxer.defaults : Object
Return to: Jaxer Framework index

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | 1.0

## Properties

Property | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---

static timeout : Number
The default value to use when creating new Jaxer.XHR (XMLHttpRequest) requests, in milliseconds. This also applies to anything that uses XHRs, such as Jaxer.Web.get. It's only used for async requests. It defaults to 30 seconds (30000) on the server, and 0 on the client. 0 means no timeout. NOTE: To set the the default timeout to use when creating new XHR.SendOptions() objects, set Jaxer.XHR.SendOptions.timeout instead.

No Details

1.0

1.0

aptana_docs